Class | Chef::Provider::Group::Dscl
In: | lib/chef/provider/group/dscl.rb
Parent: | Chef::Provider::Group

### Methods

create_group dscl dscl_create_group get_free_gid gid_used? load_current_resource manage_group remove_group safe_dscl set_gid set_members

### Public Instance methods

create_group()
dscl(*args)
dscl_create_group()
get_free_gid(search_limit=1000)

get a free GID greater than 200

gid_used?(gid)
load_current_resource()
manage_group()
remove_group()
safe_dscl(*args)
set_gid()
set_members()

[Validate]